Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class HierarchyBuilder

    java.lang.Object
      org.hibernate.metamodel.source.hbm.HierarchyBuilder

    public class HierarchyBuilder

extends Object

Constructor Summary
`HierarchyBuilder()`

Method Summary
`List<EntityHierarchyImpl>` | `groupEntityHierarchies()`
`void` | `processMappingDocument(MappingDocument mappingDocument)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyBuilder

    public HierarchyBuilder()

Method Detail

### processMappingDocument

    public void processMappingDocument(MappingDocument mappingDocument)

### groupEntityHierarchies

    public List<EntityHierarchyImpl> groupEntityHierarchies()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.